#dimmer.active, .overlay.active, body[class*='modal-open'] #dimmer/* CANVAS ACTIVE */
body[class*="modal-open"]  {
	position: fixed;
	height: 100vh;
}

.canvas-module.active,
.canvas-module-xs.active {
	display: block;
}

.canvas-right-module.active,
.canvas-left-module.active,
.canvas-right-module-xs.active,
.canvas-left-module-xs.active,
.canvas-top-module-xs.active {
	-webkit-transform: translateX(0);
	transform: translateX(0);
}
@media only screen and (min-width: 0rem) and (max-width: 1048px){
	.canvas-top-module-sm {
		bottom: 0;
		left: 0;
		position: fixed;
		z-index: 61;
		text-align: left;
		width: 100%;
		height: 80vh;
		color: var(--base-color1);
		background: var(--base-background1);
		-webkit-overflow-scrolling: touch;
		overflow-y: auto;
		-webkit-transition: none;
		-ms-transition: none;
		-moz-transition: none;
		transition: none;
		-ms-overflow-style: -ms-autohiding-scrollbar;
		-webkit-transform: translateY(100%);
		transform: translateY(100%);
		transition: transform 500ms ease;
		display: flex;
		flex-direction: column;
	}
	.canvas-top-module-sm.active {
		-webkit-transform: translateY(0);
		transform: translateY(0px);
	}
	.filter .Close {
		padding-inline: calc(var(--gutter) /2) !important;
		border-bottom: 1px solid #c1c1c1;
	}
	.filter .close-header:after {
		width: calc(8px + 1rem);
		width: calc(8px + var(--gutter)*1);
	}
}


/* DIMMER */
.mask:after {
	content: '';
	display: block;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: rgba(0, 0, 0, 0.04);
	position: absolute;
	pointer-events: none;
}

#dimmer,
.overlay {
	background: rgba(0, 0, 0, 0.5);
	width: 100%;
	height: 100%;
	position: fixed;
	top: 0;
	left: 0;
	opacity: 0;
	pointer-events: none;
	z-index: -1;
}

#dimmer.active,
.overlay.active,
body[class*='modal-open'] #dimmer {
	z-index: 10;
	opacity: 1;
	pointer-events: initial;
}

/* Btn - knappar */
.btn,
.btn a,
.Knapp_Generell a,
.buy-button,
.info-link,
.do_more #more_of_it,
input[type='button'],
.Checkout a,
.Knapp_Kop a,
.Knapp_Kop2,
button,
.utlamningsstalle a {
	text-align: center;
	font-weight: 700;
	width: 100%;
	display: inline-block;
	/* border-radius: var(--border-radius2); */
	border-radius: 0;
	cursor: pointer;
	padding: .5em 1em; /* fallback */
	padding: calc(var(--gutter)/2) var(--gutter);
	border: var(--border-std);
}
.cm-img-cta a {
	/* border-radius: var(--border-radius2); */
}

.btn-xs,
.utlamningsstalle a {
	padding: .33em; /* fallback */
	padding: calc(var(--gutter)/3);
}

.btn-sm {
	padding: .5em; /* fallback */
	padding: calc(var(--gutter)/2);
}

.btn-md,
.do_more #more_of_it,
.Checkout a
/*#SubmitFalt .buy-button*/ {
	padding: var(--gutter);
}

.btn-lg {
	padding: 1.5em; /* fallback */
	padding: calc(1.5*var(--gutter));
}

.btn-auto,
.Knapp_Visa_Onskelista_Tabell,
.Knapp_Kop a,
.Knapp_Kop2 {
	width: auto;
}

.do_more #more_of_it {
	margin: 2em auto;
	max-width: 500px;
}

.do_more {
	text-align: center;
	width: 100%;
}

.btn,
.info-link,
.Knapp_Generell a,
.do_more #more_of_it,
button,
.utlamningsstalle a {
	background: var(--cta-background2);
	color: var(--cta-color2);
}

.btn.cta-primary,
.buy-button,
input[type='button'],
.Checkout a,
.Knapp_Kop a,
.Knapp_Kop2 {
	background: var(--cta-background1);
	color: var(--cta-color1);
}

.buy-button {
	position: relative;
}

.buy-button .feedback {
	display: none;
}

.buy-button .label {
	font-size: 0;
}

.buy-button[data-state='default'] .label {
	font-size: 14px;
	font-weight: 700;
}

/* fill content with default value to keep auto width of element same as default-state */
.buy-button:not([data-state='default']) .label:before {
	content: attr(data-default);
	color: transparent;
	font-size: 14px;
}

/* icons for states */
.buy-button:not([data-state='default']) .label:after {
	font-family: "Font Awesome 5 Pro";
	position: absolute;
	transform: translate(-50%, -50%);
	top: 50%;
	left: 50%;
	line-height: normal;
	font-size: 14px;
	color: var(--cta-color1);
}

/* icon for processing */
.buy-button[data-state='processing'] .label:after {
	content: '\f1ce';
	transform: none;
	-webkit-animation: air-loading 1s linear infinite;
	animation: air-loading 1s linear infinite;
	margin: -.5rem 0 0 -.5rem;
}

/* icon for success */
.buy-button[data-state='success'] .label:after {
	content: '\f00c';
}

/* icon for success */
.buy-button[data-state='error'] .label:after {
	content: '\f321';
}


/* Close */
.close-header {
	display: -webkit-box;
	display: -moz-box;
	display: -ms-flexbox;
	display: -webkit-flex;
	display: flex;
	align-content: space-between;
	height: 2.5em; /* fallback */
	line-height: 2.5em; /* fallback */
	height: calc(var(--gutter)*2.5);
	line-height: calc(var(--gutter)*2.5);
}


.close-header span,
.close-header:before,
.close-header i {
	flex: 1;
}

.close-header:before,
.close-header i {
	padding-left: var(--gutter);
}

.close-header:after {
	font-family: "Font Awesome 5 Pro";
	content: "\f00d";
	font-size: 1.4em;
	text-align: center;
	cursor: pointer;
	width: 1.8em; /* fallback */
	width: calc(var(--gutter)*1.8);
}

.close-header:before,
.close-header:after {
	font-size: 1.4em;
}

@media screen and (max-width: 48em) {
	.close-header {
		height: calc(25px + 2em); /* fallback */
		height: calc(25px + var(--gutter)*2);
		position: relative;
		line-height: calc(25px + 2em); /* fallback */
		line-height: calc(25px + var(--gutter)*2);
	}

	.close-header:after {
		position: absolute;
		top: 0;
		bottom: 0;
		right: 0;
		width: calc(22px + 2em); /* fallback */
		width: calc(22px + var(--gutter)*2);
	}
}

@media screen and (min-width: 48.01em) {

	/* HOVER */
	a:hover:not(.btn:hover) {
		color: #989898;
		text-decoration: underline;
	}

	.btn:hover,
	.buy-button:hover,
	input[type='button']:hover,
	button:hover,
	.info-link:hover,
	.do_more #more_of_it:hover .Checkout a:hover,
	.Knapp_Kop a:hover,
	.Knapp_Kop2:hover,
	.Knapp_Generell a:hover,
	.utlamningsstalle a:hover {
		text-decoration: underline !important;
		color: #fff !important;
		/* color: initial !important;
		background: initial !important;; */
	}

}

/* Input - Select - Form elemets  */
input:not([type='range']):not([type='color']),
select,
textarea,
button {
	-webkit-appearance: none;
	-moz-appearance: none;
	-webkit-box-shadow: none;
	appearance: none;
	outline: none;
	box-shadow: none;
	font-size: inherit;
	font-family: inherit;
}

input:not([type='button']):not([type='submit']):not([type='reset']):not([type='file']):not([type='color']):not([type='range']):not(#sokterm),
select,
textarea,
.select-ul-li:not(.xs-dd):not(.ValjSortordning),
.select-ul-li ul,
.select-ul-li-dd {
	border: 2px solid #000;
	border-radius: 0;
	padding: 0 var(--gutter);
	color: var(--base-color1);
}
.select-ul-li, .select-ul-li ul, .select-ul-li-dd:not(.Filter_Container) {
    background: var(--theme1-color500);
    /* border: 1px solid #000; */
}

.ValjSortordning.select-ul-li{
	background: transparent;
	letter-spacing: 1px;
	text-transform: uppercase;
}

input:not([type='checkbox']):not([type='radio']):not([type='button']):not([type='submit']):not([type='reset']):not([type='file']):not([type='color']):not([type='range']):not(#sokterm),
select,
.select-ul-li span.active {
	line-height: 2.5em; /* fallback */
	height: 2.5em; /* fallback */ 
	line-height: calc(var(--gutter)*2.5);
	height: calc(var(--gutter)*2.5);
}

textarea {
	padding: var(--gutter);
}

.select-wrapper,
.select-ul-li {
	display: inline-block;
	position: relative;
	width: 100%;
}

.select-ul-li.xs-dd,
.ValjSortordning {
	width: auto;
}

.select-ul-li.xs-dd .active {
	padding-right: 3em; /* fallback */
	padding-right: calc(var(--gutter)*3);
	padding-left: var(--gutter);
}

.ValjSortordning .active {
	padding-right: 3em; /* fallback */
	padding-right: calc(var(--gutter)*2);
	padding-left: var(--gutter);
}

.select-wrapper {
	padding: 0;
	background: var(--base-background1);
	color: var(--base-color1);
}

.select-wrapper:after,
.select-ul-li:after {
	font-family: "Font Awesome 5 Pro";
	font-weight: 700;
	content: "\f078";
	position: absolute;
	top: 0;
	line-height: 2.5em; /* fallback */
	line-height: calc(var(--gutter)*2.5);
	right: var(--gutter);
	pointer-events: none;
	/* border-left: 1px solid #000;
	width: 1em; */
}

.select-ul-li span.active {
	pointer-events: none;
}

select {
	padding-right: 3em; /* fallback */
	padding-right: calc(var(--gutter)*3);
	position: relative;
	cursor: pointer;
	width: 100% !important;
}

.select-wrapper>select {
	background-color: transparent;
}

input:not([type='button']):not([type='submit']):not([type='reset']):not([type='file']):not([type='color']):not([type='range']):not(#sokterm):focus,
select:focus,
textarea:focus,
button:focus,
.select-ul-li.open {
	outline: none;
	border-color: var(--border-marked);
}


input[type='checkbox'],
input[type='radio'] {
	height: 0.7rem;
    width: 0.70rem;
    padding: 3px !important;
    margin: 0 3px;
    cursor: pointer;
	/* ta bort, ändra övriga */
	margin: 0 3px;
	cursor: pointer;
}

input[type='radio'] {
	border-radius: 100% !important;
	/* ta bort, ändra övriga */
}

input[type='checkbox']:checked {
	background: linear-gradient(#000, #000) content-box, linear-gradient(#ffffff, #efefef) padding-box !important;
	/* ta bort, ändra övriga */
}

input[type='radio']:checked {
	/* background: radial-gradient(circle, var(--brand-color1) 33%, rgba(0,0,0,0) 45%)!important; ta bort, ändra övriga */
	background: radial-gradient(circle, #000 50%, rgba(0, 0, 0, 0) 75%) content-box, linear-gradient(#ffffff, #efefef) padding-box !important;
	/* ta bort, ändra övriga */

}

.select-ul-li {
	cursor: pointer;
	position: relative;
}

.select-ul-li ul,
.select-ul-li-dd {
	margin: 0;
	position: absolute;
	top: calc(100% + 1px);
	left: -1px;
	width: calc(100% + 2px);
	display: none;
	color: var(--base-color1);
	max-height: 300px;
	min-width: 200px;
	overflow: auto;
	text-align: left;
}
.ValjSortordning.select-ul-li ul{
	border: 0;
}

.select-ul-li.open ul,
.select-ul-li.open .select-ul-li-dd {
	display: block;
	z-index: 3;
}

.select-ul-li li {
	list-style: none;
	line-height: 2em;
}

.end-xs .select-ul-li ul,
.end-xs .select-ul-li-dd {
	left: initial;
	right: 0;
}

.ValjSortordning:after {
	right: .5em;
}

.label {
	display: block;
	font-weight: 400;
}

.Kontaktform input:not([type='checkbox']),
.Kontaktform textarea {
	width: 100%;
	padding: 1rem 1.8rem;
    border: 1px solid #000;
}

@media only screen and (min-width: 48em) {

	.ul-padding ul {
		display: block;
		list-style-type: disc;
		margin-block-start: 1em;
		margin-block-end: 1em;
		margin-inline-start: 0px;
		margin-inline-end: 0px;
		padding-inline-start: 40px;
	}

	td,
	tr {
		text-overflow: ellipsis;
		white-space: normal;
	}

}


/* MISC */

a[onmouseover*="overlib"] {
	pointer-events: none;
}

img[alt="space"] {
	display: none;
}

/* STARTPAGE */
.cm_article_wrapper h2 + .PT_Wrapper_All {
    margin-top: calc(var(--gutter)*-1);
}

.cm-section.wrap.citat {line-height: 25px; text-align: center; padding: 50px var(--gutter); color: var(--theme2-color400);}
.citat h2 {font-size: 18px;}
.citat p {width: 90%; max-width: 865px; margin:0 auto;}

/*Spinner*/
@-webkit-keyframes air-loading {
	0% {
		-webkit-transform: rotate(0deg);
		transform: rotate(0deg)
	}

	100% {
		-webkit-transform: rotate(360deg);
		transform: rotate(360deg)
	}
}

@keyframes air-loading {
	0% {
		-webkit-transform: rotate(0deg);
		transform: rotate(0deg)
	}

	100% {
		-webkit-transform: rotate(360deg);
		transform: rotate(360deg)
	}
}

/* TRANSITION */

.btn,
.buy-button,
input[type='button'],
button,
.info-link,
.do_more #more_of_it,
.Knapp_Generell a,
.Checkout a,
.Knapp_Kop a,
.Knapp_Kop2,
input,
select,
textarea,
.Artgrp_VisaFler a:hover {
	transition: 200ms ease-in-out all;
}

.canvas-right-module,
.canvas-left-module,
.canvas-right-module-xs,
.canvas-left-module-xs,
.canvas-top-module-xs {
	transition: -webkit-transform 0.5s;
	transition: transform 0.5s;
}



/* Footerändringar */
@media screen and (min-width: 991px) {

	.footer .box4 {
	    margin-left: 33.333%;
	    margin-top: -200px;
	}

	.footer .box5 {
	    margin-top: -183px;
	}

}

.footer .box4 > div {
	width: 300px;
	text-align: center;
}

.footer .box4 strong {
	font-weight: normal !important;
}

.footer .box4 form {
	margin-top: 5px;
}

.footer .box4 input {
	background: var(--theme1-color400) !important;
}

@media screen and (max-width: 990px) {
	.footer .row.wrap {display: block !important;}
	.footer .box4, .footer .box5 {width: 100%;}
	.footer .box4 > div {margin: 0 auto;}
	.footer .box5 .social {text-align: center; margin-top: 25px;}
	.footer .box5 .social .socialaMedier {justify-content: center;}
	.footer .col-xs-6 {width: 50%;}
}

/* Kundprofil */

#SKM_Kund_ID label:after {
	content: ":";
	margin-right: 5px;
}

.Snabbkassa_Kundfalt_Marginal:not(.Avtal),
#SKM_PNr {
	display: -webkit-box !important;
	display: -moz-box !important;
	display: -moz-box !important;
	display: -ms-flexbox !important;
	display: -webkit-flex !important;
	display: flex !important;
	position: relative;
}

#SKM_PNr label {
	font-weight: bold;
	margin-bottom: 0.5rem
}

#SKM_PNr+table {
	position: relative;
}

#SKM_PNr+table tr td:nth-child(2) {
	display: none;
}

#SKM_PNr+table *:not(img) {
	width: 100%
}

#SKM_PNr+table img[name*="Profilstatus_PNr"] {
	position: absolute;
	right: 1rem;
	top: 0;
	bottom: 0;
	margin: auto;
}

#LankAdressblockAnvnamn,
#LankAdressblockLeveransadress,
#LankAdressblockOvrigt {
	display: -webkit-box !important;
	display: -moz-box !important;
	display: -moz-box !important;
	display: -ms-flexbox !important;
	display: -webkit-flex !important;
	display: flex !important;
}

#LankAdressblockAnvnamn b,
#LankAdressblockLeveransadress b,
#LankAdressblockOvrigt b {
	order: 1;
	margin-top: 1rem;
}

#LankAdressblockAnvnamn label,
#LankAdressblockLeveransadress label,
#LankAdressblockOvrigt label {
	order: 2;
}

#Adressblock2 .Snabbkassa_Kundfalt_Marginal {
	-webkit-box-align: center;
	-ms-flex-align: center;
	align-items: center;
}


#Adressblock2 .Snabbkassa_Kundfalt_Marginal>img {
	width: auto;
	position: absolute;
	right: 0;
	top: 0;
	margin: auto;
}


.Avtal {
	position: relative;
}

#Adressblock2 .Snabbkassa_Kundfalt_Marginal.Avtal * {
	width: auto !important;
	right: auto;
}

#Adressblock2 .Snabbkassa_Kundfalt_Marginal.Avtal input {
	width: 1em !important;
}

#Adressblock2 .Snabbkassa_Kundfalt_Marginal.Avtal label:first-child {
	display: none;
}

.Avtal img {
	position: relative !important;
	margin-left: 10px !important
}

input.KundprofilFaltFEL:not([type='button']):not([type='submit']):not([type='reset']):not([type='file']):not([type='color']):not([type='range']):not(#sokterm) {
	border: 1px solid var(--danger-color);
}

@media only screen and (min-width: 48em) {
	#Adressblock {
		width: 50%;
	}
	#Adressblock2 .Snabbkassa_Kundfalt_Marginal>*:not(img) {
		width: 50% !important
	}
}

@media only screen and (max-width: 48em) {

	#Adressblock2 {
		width: 100%;
	}

	#Adressblock2 {
		font-size: 0.8rem
	}
	.Snabbkassa_Kundfalt_Marginal:not(.Avtal), #SKM_PNr{flex-direction: column;}
	#Adressblock2 .Snabbkassa_Kundfalt_Marginal>img {
		top: 20px;
	}


}

/*wishlist*/
.wishlist-button{cursor: pointer;}

/*Presentkort*/
@media screen and (max-width: 48em){
	.Presentkort table{width: 100%;}
	.Presentkort table.PS_Tabell td:first-child{width: 100%;text-align: center;}
	.Presentkort table.PS_Tabell tr{display: flex; flex-wrap: wrap; justify-content: center;}
}

/* Dialogruta */
#dialogruta {
	position: fixed;
	max-height: 500px;
	max-width: 500px;
	height: fit-content;
	text-align: left;
	top: 0;
	margin: auto;
	left: 0;
	bottom: 0;
	z-index: 61;
	background: var(--base-background1);
	border: var(--border-std);
	right: 0;
	visibility: hidden;
	padding: calc(var(--gutter)*2);
}

#dialogruta h1 {
	margin-top: 0;
	margin-top: 0;
	font-size: 18px;
}

#dialogruta h1 img {
	display: none;
}

#dialogruta a:last-child{
	background: var(--base-background6);
    color: var(--base-color6);
    line-height: 35px;
    display: block;
    padding: 0 10px;
    text-transform: uppercase;
    font-size: 12px;
    font-weight: 700;
    text-align: center;
}


/* LOADER / PRELOAD */

.preloader {
	display: none;
}

::selection {
    background: var(--theme2-color300);
    color: #fff;
    background-image: initial;
    background-position-x: initial;
    background-position-y: initial;
    background-size: initial;
    background-repeat-x: initial;
    background-repeat-y: initial;
    background-attachment: initial;
    background-origin: initial;
    background-clip: initial;
    background-color: var(--theme2-color300)
}

@media(prefers-reduced-motion:no-preference){
	:focus{
		transition: outline-offset .25s ease;
		outline-offset: 5px;
	}
}

/* CUSTOM SCROLLBARS */
.customScroll *::-webkit-scrollbar {
	-webkit-appearance: none; /* Safari */
	/*-webkit-overflow-scrolling: auto;*/ /* Safari */
	width: 4px;
	height: 4px;
}
.customScroll *::-webkit-scrollbar-track {
	background-color: #eee;
	border-radius: 1em;
	margin-top: 1rem;
	margin-bottom: 1rem;
}
.customScroll *::-webkit-scrollbar-thumb {
	background-color: #eee;
	border-radius: 1em;
	box-shadow: 0 0 1px rgba(255,255,255,.5); /* Safari */
}